/*************************************************************
//
// CASSIOPEIA application launcher disable mode Test sample program
// Copyright (C) 1999 CASIO Computer Co.,Ltd.
// All right reserved.
//
// Module:      Disable/Enable Application Launcher Function
// Source       launcher.h
// Abstract: The sample application demonstrates the use of the
// function of application Program buttons to disable/enable.
//
// This source code is only intended as a supplement to the
// CASIO's application Program button disable mode Reference 
// and related the documentation provided with the library.
// See these sources for detailed information regarding the
// Cassiopeia's application launcher disable mode.
//
************************************************************/

#ifndef _LAUNCHER_H_
#define _LAUNCHER_H_

#ifdef __cplusplus
extern "C" {
#endif

#define DEFAULT_KEYCODE_VOICE       0xC1
#define DEFAULT_KEYCODE_MENU        0xC2
#define DEFAULT_KEYCODE_CALENDAR    0xC3
#define DEFAULT_KEYCODE_CONTACTS    0xC4

/*
 * Function:  KeyAPI_WinCapsEntry
 *  Arguments:
 *      HWND,   -- Window Handle of Application
 *      DWORD,  -- (1) Default Key_Code: 0xC3 (Calendar)
 *      DWORD   -- (2) Default Key_Code: 0xC4 (Contacts)
 *      DWORD   -- (3) Default Key_Code: 0xC2 (Menu)
 *      DWORD   -- (4) Default Key_Code: 0xC1 (Voice Recorder)
 *  Return Value:
 *      Boolean. If this function process succeeded,
 *      the value is TRUE.
 *  Note:
 *      The 1st argument needs a HWND which is the foreground window
 *      of your application ( the return value of GetForegroundWindow() ).
 *
 *      If you set default key code to DWORD argument, the key is able to
 *      launch other application.
 *
 *      If your application get focused ( is the foreground window ),
 *      call KeyAPI_WinCapsEntry() every time. The Application Manager
 *      will entry your application and make Application launcher disable mode
 *      to be available.
 */
BOOL KeyAPI_WinCapsEntry(HWND, DWORD, DWORD, DWORD, DWORD);

/*
 * Function:  KeyAPI_WinCapsDelete
 *  Arguments:
 *      HWND,   -- Window Handle of Application. This is the 1st argument
 *                 of KeyAPI_WinCapsEntry().
 *  Return Value:
 *      Boolean. If this function process succeeded,
 *      the value is TRUE.
 *  Note:
 *      When your application is closed,
 *      call KeyAPI_WinCapsDelete() once. The Application Manager
 *      will delete the entry of your Application and set each
 *      buttons to default setting ( Launcher Mode ).
 */
BOOL KeyAPI_WinCapsDelete(HWND);

#ifdef __cplusplus
}
#endif

#endif /* end of launcher.h */
